'Oct 31

'demo dialogs and file writing


Imports System.IO

Public Class FrmLetter

    '********************************************
    'uses OpenFileDialog to allow user to 
    'select a image file 
    Private Sub btnShowPicture_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnShowPicture.Click
        Dim MyPath As String

        ofdPicture.ShowDialog()
        Try
            MyPath = ofdPicture.FileName
            'MsgBox(MyPath)
            picInspiration.Image = Image.FromFile(MyPath)
        Catch ex As Exception
            MsgBox("Problem loading image file.")
        End Try
    End Sub

    '********************************************
    'uses ColorDialog to allow user to select the 
    'form's color
    Private Sub btnColor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnColor.Click
        cdFormColor.ShowDialog()
        Try
            Me.BackColor = cdFormColor.Color
        Catch ex As Exception
            MsgBox("Problem changing color.")
        End Try
    End Sub

    '*********************************************
    'uses FontDialog to allow the user to select 
    'a font for the TextBox
    Private Sub btnFont_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnFont.Click
        fdTextFont.ShowDialog()
        Try
            txtBody.Font = fdTextFont.Font
        Catch ex As Exception
            MsgBox("Problem changing font.")
        End Try
    End Sub

    '*********************************************
    'Uses a SaveFileDialog to allow the user to 
    'select a filename and location to save the contents 
    'of the TextBox 
    'Also uses a StreamWriter
    Private Sub btnSave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSave.Click
        Dim MyPath As String
        Dim MyStreamwriter As StreamWriter

        sfdLetter.ShowDialog()
        Try
            MyPath = sfdLetter.FileName
            MyStreamwriter = New StreamWriter(MyPath)
            MyStreamwriter.Write(txtBody.Text)
            MyStreamwriter.Flush()
            'DON'T FORGET TO FLUSH!!!!!!!!!!!
            MyStreamwriter.Close()
        Catch ex As Exception
            MsgBox("Problem writing file.")
        End Try
    End Sub
End Class
